Foreman - Bug #10850

Uninstalling a plugin with a dashboard leads to "Template is missing" error in the ui
06/17/2015 07:29 AM - lvan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Dashboard
Target version: 1.9.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2469
Description

1. install a plugin with a dashboard

2. get the plugin dashboard to the user
3. uninstall the plugin

4. see Template is missing

Related issues:
Related to Foreman - Bug #11316: A bad widget breaks the entire dashboard
Related to Foreman - Feature #3588: Uninstall plugins - from GUI or command line

Duplicate
New

08/07/2015
11/06/2013

Associated revisions

Revision 7fdaccd5 - 07/24/2015 10:24 AM - lvan Necas

Fixes #10850 - handled errors when missing template when rendering widget

Revision 8¢58b98b - 09/09/2015 10:50 AM - Ilvan Necas

Fixes #10850 - handled errors when missing template when rendering widget

(cherry picked from commit 7fdaccd59962b3eed728ff7110c0fb37a5aab843)

History

#1 - 06/17/2015 07:35 AM - Marek Hulan
- Category set to Dashboard

#2 - 06/17/2015 07:38 AM - Ivan Necas
- Status changed from New to Assigned

- Assignee set to Ivan Necas

#3 - 06/17/2015 07:42 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2469 added
- Pull request deleted ()

#4 - 07/24/2015 10:33 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#5 - 07/24/2015 11:01 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7fdaccd59962b3eed728ff7110c0fb37a5aab843.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7fdaccd59962b3eed728ff7110c0fb37a5aab843

#6 - 08/10/2015 03:22 AM - Dominic Cleal
- Related to Bug #11316: A bad widget breaks the entire dashboard added

#7 - 12/01/2015 08:12 AM - Dominic Cleal
- Related to Feature #3588: Uninstall plugins - from GUI or command line added
